Upgrading | Coredy AC600/AE610 USB Adapter

Coredy / 2017-01-11

Linux supported:
Linux Ubuntu 3.x / 4.x supported for both 2.4GHz and 5GHz network
Linux Ubuntu 2.6.x supported for 2.4GHz network only
Download the latest driver here.

Next: Empty! Previous: Upgrading | Coredy CG3031